"""User Domain - JSONL Handler"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import UserSyncNode
from schemas.user.user import UserListDetailItem


class UserJsonlHandler(BaseJsonlHandler):
    """用户 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "user", UserSyncNode, UserListDetailItem)
